Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 988787 - Need policy for OpenLMI-Fan
Summary: Need policy for OpenLMI-Fan
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-26 11:12 UTC by Jan Safranek
Modified: 2013-08-04 23:01 UTC (History)
2 users (show)

Fixed In Version: selinux-policy-3.12.1-69.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-04 23:01:00 UTC


Attachments (Terms of Use)
output of ausearch -m avc -ts today (deleted)
2013-07-26 11:12 UTC, Jan Safranek
no flags Details

Description Jan Safranek 2013-07-26 11:12:53 UTC
Created attachment 778736 [details]
output of ausearch -m avc -ts today

OpenLMI Fan provider needs a policy. It is pretty simple one, it shows and sets system fan speeds.

AVCs are attached.

Comment 1 Miroslav Grepl 2013-07-29 11:00:48 UTC
Ok, I created 

pegasus_openlmi_system_t domain for it and others.

What is a path to this provider?

Comment 2 Jan Safranek 2013-07-29 11:27:12 UTC
The provider executables are in /usr/libexec/pegasus/:

ls -Z /usr/libexec/pegasus/
-rwxr-xr-x. root pegasus system_u:object_r:bin_t:s0       cimprovagt
-rwxr-xr-x. root root    system_u:object_r:pegasus_openlmi_account_exec_t:s0 cmpiLMI_Account-cimprovagt
-rwxr-xr-x. root root    system_u:object_r:bin_t:s0       cmpiLMI_Fan-cimprovagt
-rwxr-xr-x. root root    system_u:object_r:bin_t:s0       cmpiLMI_Hardware-cimprovagt
-rwxr-xr-x. root root    system_u:object_r:pegasus_openlmi_logicalfile_exec_t:s0 cmpiLMI_LogicalFile-cimprovagt
-rwxr-xr-x. root root    system_u:object_r:bin_t:s0       cmpiLMI_PowerManagement-cimprovagt
-rwxr-xr-x. root root    system_u:object_r:bin_t:s0       cmpiLMI_Realmd-cimprovagt
-rwxr-xr-x. root root    system_u:object_r:bin_t:s0       cmpiLMI_Service-cimprovagt
-rwxr-xr-x. root root    system_u:object_r:bin_t:s0       pycmpiLMI_Software-cimprovagt

It's cmpi<name>-cimprovagt or pycmpi<name>-cimprovagt.

Comment 3 Miroslav Grepl 2013-07-29 11:40:45 UTC
Ok, going to add labeling. The latest policy should have also fixes for

cmpiLMI_Service-cimprovagt
pycmpiLMI_Software-cimprovagt

Comment 4 Miroslav Grepl 2013-07-29 12:03:52 UTC
commit 5a21b794283a0fa6d4d9078f8a9c7f4ddcc3eb8d
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Mon Jul 29 13:58:30 2013 +0200

    Add labeling for cmpiLMI_Fan-cimprovagt

Comment 5 Fedora Update System 2013-08-02 13:30:31 UTC
selinux-policy-3.12.1-69.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-69.fc19

Comment 6 Fedora Update System 2013-08-02 21:55:33 UTC
Package selinux-policy-3.12.1-69.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-69.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14089/selinux-policy-3.12.1-69.fc19
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2013-08-04 23:01:00 UTC
selinux-policy-3.12.1-69.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.